Public Member Functions

# SoundDriverFactory< T > Class Template Reference

Factory for the sound drivers. More...

`#include <sound_driver.hpp>`

Inheritance diagram for SoundDriverFactory< T >:

## Public Member Functions
const char * | GetName ()
| Get the long, human readable, name for the Driver-class.

## Detailed Description

### template<class T>
class SoundDriverFactory< T >

Factory for the sound drivers.

Template Parameters:

  | T | The type of the sound factory to register.

Definition at line 33 of file sound_driver.hpp.

The documentation for this class was generated from the following file:

- src/sound/sound_driver.hpp